[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# FindNestedComponent

Finds the component with name path starting at the indicated root component.

## Declaration

Source position: classesh.inc line 2287

`function FindNestedComponent(`
`Root: TComponent;`
`APath: string;`
`CStyle: Boolean = True`
`):TComponent;`

## Description

FindNestedComponent will descend through the list of owned components (starting at Root) and will return the component whose name path matches NamePath. As a path separator the characters . (dot), - (dash) and > (greater than) can be used

## See also

GlobalFixupReferences |  | Called to resolve unresolved references after forms are loaded.